Create meters on a particular place
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type, including the request body. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| placeId | The id of the place | integer (int32) | Required |
Request Body
Array of:
CreateUtilityPlatformMeter
| Property | Description | Type |
|---|---|---|
| meterCode | The meter code Required Must be between 0 and 32 characters | string |
Example Request Body
[
{ "meterCode": "string"
}
]
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
Array of:
UtilityPlatformMeter
| Property | Description | Type | ||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| active | Indicates whether the Meter is Active | boolean | ||||||||||||||||||||||||||||||||||||
| commodity | CommodityChild | |||||||||||||||||||||||||||||||||||||
|
CommodityChild properties
|
||||||||||||||||||||||||||||||||||||||
| dataAccessReleaseStatus | DataAccessReleaseStatus | |||||||||||||||||||||||||||||||||||||
|
DataAccessReleaseStatus properties
|
||||||||||||||||||||||||||||||||||||||
| isCalculatedMeter | Indicates whether the meter is a calculated meter | boolean | ||||||||||||||||||||||||||||||||||||
| isEsaCalculatedMeter | Indicates whether the meter is an ESA calculated meter | boolean | ||||||||||||||||||||||||||||||||||||
| isSplitChildMeter | Indicates whether the meter is a child of a split | boolean | ||||||||||||||||||||||||||||||||||||
| isSplitParentMeter | Indicates whether the meter is a parent of a split | boolean | ||||||||||||||||||||||||||||||||||||
| meterAddress | AddressChild | |||||||||||||||||||||||||||||||||||||
|
AddressChild properties
|
||||||||||||||||||||||||||||||||||||||
| meterCode | The meter code | string | ||||||||||||||||||||||||||||||||||||
| meterId | The meter identifier | integer (int32) | ||||||||||||||||||||||||||||||||||||
| meterInfo | The meter info | string | ||||||||||||||||||||||||||||||||||||
| meterType | MeterTypeChild | |||||||||||||||||||||||||||||||||||||
|
MeterTypeChild properties
|
||||||||||||||||||||||||||||||||||||||
| mostRecentAggregate | MostRecentAggregate | |||||||||||||||||||||||||||||||||||||
|
MostRecentAggregate properties
|
||||||||||||||||||||||||||||||||||||||
| serialNumber | The meter’s current serial number | string | ||||||||||||||||||||||||||||||||||||
Example Response
[
{ "active": false, "commodity": { "commodityCode": "string", "commodityIcon": {}, "commodityId": 1, "commodityInfo": "string"
}, "dataAccessReleaseStatus": { "dataAccessReleaseStatusId": 1, "dataAccessReleaseStatusInfo": "string"
}, "isCalculatedMeter": false, "isEsaCalculatedMeter": false, "isSplitChildMeter": false, "isSplitParentMeter": false, "meterAddress": { "addressTypeId": 1, "city": "string", "country": "string", "latitude": 1.0, "line1": "string", "line2": "string", "line3": "string", "longitude": 1.0, "postalCode": "string", "remitTo": "string", "state": "string"
}, "meterCode": "string", "meterId": 1, "meterInfo": "string", "meterType": { "meterTypeCode": "string", "meterTypeId": 1, "meterTypeInfo": "string"
}, "mostRecentAggregate": { "aggregateMeterId": 1, "effectiveDate": "2026-03-30"
}, "serialNumber": "string"
}
]